<?php
include "./function.php";		//调用函数文件
include "./conn/conn.php";		//调用数据源文件

$query = mysql_query("select * from tb_room where id = '".$_GET[roomid]."'");		//检索房间号信息
$guest = mysql_result($query, 0, guest);			//获取客户端的名称
$host = mysql_result($query, 0, host);				//获取服务器端的名称

if(($guest == '' && $host == '') || $host == ''){		//如果客户端和服务器端名称为空，或者服务器端名称为空，则执行下面的SQL语句
	mysql_query("update tb_room set host = '$username',time_host = '".time()."',time = '".time()."' where id = '".$_GET[roomid]."'");
}elseif($host != '' && $guest == ''){					//如果服务器端名称和客户端名称不为空，则执行下面的SQL语句
	mysql_query("update tb_room set guest = '$username',time_guest = '".time()."',time = '".time()."' where id = '".$_GET[roomid]."'");
}else{
	header("location:index.php");						//如果客户端和服务器端名称为空，则跳转到游戏首页
	exit;			//退出
}
	header("location:room.php?id=".$_GET[roomid]);		//进入指定ID号的游戏房间
	exit;			//退出
?>